## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-pymor
Version:        2024.2.0
Release:        %autorelease
Summary:        Python model order reduction library

License:        BSD-2-Clause
URL:            https://pymor.org
Source:         %{pypi_source pymor}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
pyMOR is a software library for building model order reduction applications with
the Python programming language. All algorithms in pyMOR are formulated in terms
of abstract interfaces, allowing generic implementations to work with different
backends, from NumPy/SciPy to external partial differential equation solver
packages.}

%description %_description

%package -n     python3-pymor
Summary:        %{summary}

%description -n python3-pymor %_description

%pyproject_extras_subpkg -n python3-pymor gmsh,gui,ipyparallel


%prep
%autosetup -p1 -n pymor-%{version}


%generate_buildrequires
%pyproject_buildrequires -x gmsh,gui,ipyparallel


%build
%pyproject_wheel


%install
%pyproject_install
# Add top-level Python module names here as arguments, you can use globs
%pyproject_save_files -l 'pymor*'


%check
%pyproject_check_import -t

%files -n python3-pymor -f %{pyproject_files}
%doc README.md
%doc AUTHORS.md
%{_bindir}/pymor-demo
%{_bindir}/pymor-vis

%changelog
## START: Generated by rpmautospec
* Thu May 22 2025 John Doe <packager@example.com> - 2024.2.0-1
- Uncommitted changes
## END: Generated by rpmautospec
